DISK_CLEAR_EVENTS(9)

NAME
disk_clear_events - synchronously check, clear and return pending events

SYNOPSIS

unsigned int disk_clear_events(struct gendisk * disk, unsigned int mask);

ARGUMENTS

disk
    disk to fetch and clear events from

mask
    mask of events to be fetched and cleared

DESCRIPTION

Disk events are synchronously checked and pending events in mask are cleared and returned. This ignores the block count.

CONTEXT

Might sleep.

COPYRIGHT